Subject: Re: [PATCH RFC] net/phy: fix Marvell PHYs probe failure when HWMON and THERMAL_OF are enabled

From: Peter Mamonov <[email-masked]>
Date: Thu, 19 Sep 2019 11:10:56 +0300

Hi, Andrew,

On Thu, Sep 19, 2019 at 04:50:16AM +0200, Andrew Lunn wrote:
> On Thu, Sep 19, 2019 at 12:38:37AM +0300, Peter Mamonov wrote:
> > Hello,
> > 
> > Some time ago I've discovered that probe functions of certain Marvell PHYs 
> > fail if both HWMON and THERMAL_OF config options are enabled.
> 
> Hi Peter
> 
> It probably affects more then Marvell PHYs.
> 
> > The root 
> > cause of this problem is a lack of an OF node for a PHY's built-in 
> > temperature sensor.  However I consider adding this OF node to be a bit 
> > excessive solution. Am I wrong? Below you will find a one line patch which 
> > fixes the problem.
> 
> Your patch look sensible to me.
> 
> > I've sent it to the releveant maintainers three weeks 
> > ago without any feedback yet.
> 
> Could you point me at the relevant mailing list archive?

Here it is: https://marc.info/?l=linux-pm&m=156691695616377&w=2

Regards,
Peter

>       Thanks
> 	Andrew